> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/merchant-tokenization/ja/mastercard-taf/implement-taf/check-device-binding.md).

# デバイスバインディングを確認

プロビジョニングされたトークンIDについて、Thales SDKを使用して現在のデバイスバインディング状態を確認します。

トランザクションフローを開始する前にこれを呼び出してください。返される状態は、まずバインディングを作成する必要があるかどうかを示します。

{% tabs %}
{% tab title="Android" %}

```java
public void getBindingState(@NonNull MastercardTAFHelper mastercardTAFHelper, @NonNull String tokenID) {
    byte[] password = this.getUserPassword();
        BindingState bindingState = mastercardTAFHelper.getBindingState(tokenID);
    } catch (TMGClientException e) {
        // エラーを処理します
    }
}
```

{% endtab %}

{% tab title="iOS" %}

```swift
let vProvisionedTokenID = ""
do {
    let state = try visaCTFHelper.bindingState(forVProvisionedTokenID: vProvisionedTokenID)
} catch let error {
    // エラーを処理します
}
```

{% endtab %}
{% endtabs %}

### バインディング状態ごとの次の手順

返された値を使用して、フロー内で次に呼び出す処理を選択します。

* `UNBOUND`

  プロビジョニングされたトークンIDはまだこのデバイスにバインドされていません。

  クライアントとサーバー間のバインディングを作成します。詳細は [デバイスバインディングの作成](/merchant-tokenization/ja/mastercard-taf/implement-taf/create-device-binding.md).
* `BOUND`

  プロビジョニングされたトークンIDは既にこのデバイスにバインドされています。

  プロビジョニングされたトークンIDを使用してトランザクションを認証します。詳細は [トランザクションを認証する](/merchant-tokenization/ja/mastercard-taf/implement-taf/authenticate-a-transaction.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payments.thalescloud.io/merchant-tokenization/ja/mastercard-taf/implement-taf/check-device-binding.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
